%define		apxs		/usr/sbin/apxs
%define		mod_name	clamav
Summary:	An Apache virus scanning filter
Summary(pl.UTF-8):	Filtr skanera antywirusowego dla Apache'a
Name:		apache-mod_%{mod_name}
Version:	0.23
Release:	1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://software.othello.ch/mod_clamav/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	32c7b285dfdff5d13371b92ebe73b352
Source1:	%{name}.conf
URL:		http://software.othello.ch/mod_clamav/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	apr-devel >= 1:1.0
BuildRequires:	apr-util-devel >= 1:1.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	clamav-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_proxy
Requires:	clamav
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_clamav is an Apache 2 filter which scans the content delivered by
the proxy module (mod_proxy) for viruses using the Clamav virus
scanning engine.

%description -l pl.UTF-8
mod_clamav to filtr dla serwera Apache 2 skanujący treści dostarczane
przez moduł proxy (mod_proxy) pod kątem wirusów przy użyciu silnika
skanera antywirusowego Clamav.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-I `/usr/bin/apr-1-config --includedir` -I `/usr/bin/apu-1-config --includedir`"
%configure \
	--with-apxs=%{apxs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/32_mod_clamav.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog mod_clamav.html NEWS README TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Sun May 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_clamav.git;a=log;h=master

* Sun May 19 2013 Jan Rękorajski <baggins@pld-linux.org> 71357e6
- migrate  to apache 2.4
- rel 1

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> dbef411
- up to 0.23; libtool-tag.patch obsoleted

* Fri Dec 09 2011 Elan Ruusamäe <glen@pld-linux.org> b5658c7
- fix config dir

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 0de851f
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 9d6893b
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> c6a566c
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ac3d21b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9074edc
- converted to UTF-8

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> fd95999
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 774081d
- use %service

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 4a9bbba
- unified files

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> 770a939
- -avoid-version

* Mon Dec 26 2005 Elan Ruusamäe <glen@pld-linux.org> 2488ddd
- unified

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 54d75f8
- adapterized (sorted %verify attrs)

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 36d45bf
- "HTTP" unification

* Fri Oct 15 2004 radek <radek@pld-linux.org> da9fa9f
- added Id cvs tag and vim modeline

* Sun Sep 05 2004 radek <radek@pld-linux.org> eba5179
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

* Wed Aug 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 0aa5d0e
- fix libtool, -avoid-version to get proper soname

* Tue Aug 24 2004 radek <radek@pld-linux.org> 549a221
- version 0.21

* Thu Feb 26 2004 eothane <eothane@pld-linux.org> 9c2e6dc
- up to 0.13, more BR:'s, md5sum

